Bug 170027 - USB oops when legacy support is enabled
USB oops when legacy support is enabled
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
4
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Pete Zaitcev
Brian Brock
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2005-10-06 13:22 EDT by Hampton Maxwell
Modified: 2007-11-30 17:11 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-03-04 15:28:45 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
dmesg output during boot (21.86 KB, text/plain)
2005-10-06 13:25 EDT, Hampton Maxwell
no flags Details

  None (edit)
Description Hampton Maxwell 2005-10-06 13:22:28 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.8b4) Gecko/20050908 Firefox/1.4

Description of problem:
Upon upgrading to 2.6.13-1.1526, I started seeing oopses when USB legacy device support is turned on in the bios.  Disabling it fixes the problem.  This problem didn't seem to exist in the old 2.6.12-1.1456 kernel.

When this problem happens, the PS/2 keyboard also ceases to work (even in single user mode).  Neither regular keys or pressing the Caps Lock key has any effect, although Control-Alt-Delete still functions.  Any attempt to use a USB device hangs the system.

Version-Release number of selected component (if applicable):
2.6.13-1.1526_FC4

How reproducible:
Always

Steps to Reproduce:
1. set USB legacy support to Primary in the bios
1. boot the 2.6.13-1.1526 kernel and wait for ohci usb module to load

Additional info:

ohci_hcd 0000:00:02.0: OHCI Host Controller
ohci_hcd 0000:00:02.0: new USB bus registered, assigned bus number 1
ohci_hcd 0000:00:02.0: irq 10, io mem 0xef000000
Unable to handle kernel NULL pointer dereference at virtual address 00000024
 printing eip:
c033346b
*pde = 00000000
Oops: 0002 [#1]
Modules linked in: ohci_hcd i2c_amd756 i2c_core snd_intel8x0 snd_ali5451 snd_ac97_codec snd_seq_dummy snd_seq_oss snd_seq_midi_event snd_seq snd_seq_device snd_pcm_oss snd_mixer_oss snd_pcm snd_timer snd soundcore snd_page_alloc tlan ext3 jbd sata_nv libata sd_mod scsi_mod
CPU:    0
EIP:    0060:[<c033346b>]    Not tainted VLI
EFLAGS: 00010246   (2.6.13-1.1526_FC4)
EIP is at usb_lock_device+0x38/0x43
eax: 00000000   ebx: 00000000   ecx: 00000000   edx: f7fef000
esi: f7ffa640   edi: f70a2000   ebp: f89b0a41   esp: f7feff54
ds: 007b   es: 007b   ss: 0068
Process events/0 (pid: 3, threadinfo=f7fef000 task=f7e8b000)
Stack: f70a2000 f89b0a4c f70a2320 c0147bf7 00000000 f7feffc8 00000046 f7feff94
       c012186b 00000000 00000000 00000003 f7ffa660 00000216 00000001 00000000
       f7feffc8 00010000 00000000 00000000 f7e8b000 c0121826 00100100 00200200
Call Trace:
 [<f89b0a4c>] ohci_rh_resume+0xb/0x1b [ohci_hcd]
 [<c0147bf7>] worker_thread+0x2aa/0x621
 [<c012186b>] __wake_up_common+0x39/0x59
 [<c0121826>] default_wake_function+0x0/0xc
 [<c014794d>] worker_thread+0x0/0x621
 [<c01508ab>] kthread+0x87/0x8b
 [<c0150824>] kthread+0x0/0x8b
 [<c01012ed>] kernel_thread_helper+0x5/0xb
Code: e8 48 05 df ff e8 f8 e7 0c 00 b8 80 bb 47 c0 ff 00 0f 88 64 04 00 00 ba 66 00 00 00 b8 90 2c 41 c0 e8 27 05 df ff e8 d7 e7 0c 00 <ff> 4b 24 0f 88 55 04 00 00 5b c3 53 89 c3 b9 80 bb 47 c0 a1 80

My hardware configuration is:
Athlon XP 2400+
Asus  	A7N266-VM/AA (NForce 220 chipset)
Logitech MX500 USB mouse
keyboard connected via PS/2 port
Comment 1 Hampton Maxwell 2005-10-06 13:25:38 EDT
Created attachment 119678 [details]
dmesg output during boot
Comment 2 Pete Zaitcev 2005-10-06 13:53:59 EDT
I should note that turning legacy mode on is not recommended. It is done
in one case strictly: when idiot BIOS writer makes it so that BIOS int 11
does not receive characters when "legacy" mode is disabled (and thus
Grub does not work).

But in any case, oops should not happen, so that's a bug.
Comment 3 Dave Jones 2005-11-10 15:17:38 EST
2.6.14-1.1637_FC4 has been released as an update for FC4.
Please retest with this update, as a large amount of code has been changed in
this release, which may have fixed your problem.

Thank you.
Comment 4 Dave Jones 2006-02-03 01:07:57 EST
This is a mass-update to all currently open kernel bugs.

A new kernel update has been released (Version: 2.6.15-1.1830_FC4)
based upon a new upstream kernel release.

Please retest against this new kernel, as a large number of patches
go into each upstream release, possibly including changes that
may address this problem.

This bug has been placed in NEEDINFO_REPORTER state.
Due to the large volume of inactive bugs in bugzilla, if this bug is
still in this state in two weeks time, it will be closed.

Should this bug still be relevant after this period, the reporter
can reopen the bug at any time. Any other users on the Cc: list
of this bug can request that the bug be reopened by adding a
comment to the bug.

If this bug is a problem preventing you from installing the
release this version is filed against, please see bug 169613.

Thank you.
Comment 5 Hampton Maxwell 2006-02-28 13:20:43 EST
I stopped seeing the oops with one of the 2.6.14 revisions and everything works
in 2.6.15-1.1830 as well, so we can close this bug.  FWIW, it seemed to be
caused by something other than legacy USB support because I would get it
occasionally when that was disabled.

Note You need to log in before you can comment on or make changes to this bug.